TagLib::MP4::ChapterHolder Class Reference

`#include <mp4chapterholder.h>`

Inheritance diagram for TagLib::MP4::ChapterHolder:
[legend]
Collaboration diagram for TagLib::MP4::ChapterHolder:
[legend]

## Public Member Functions

ChapterList | chapters () const
void | setChapters (const ChapterList &chapters)
bool | isModified () const
void | setModified (bool chaptersModified)

## Protected Attributes

ChapterList | chapterList
bool | modified = false

## Detailed Description

Base class to hold chapters and store modified state.

## Member Function Documentation

## chapters()

ChapterList TagLib::MP4::ChapterHolder::chapters | ( |  | ) | const

inline

Get list of chapters.

References chapterList.

Referenced by setChapters().

## isModified()

bool TagLib::MP4::ChapterHolder::isModified | ( |  | ) | const

inline

Returns `true` if the list of chapters has been modified.

References modified.

## setChapters()

void TagLib::MP4::ChapterHolder::setChapters | ( | const ChapterList & | chapters | ) |

inline

Set list of chapters.

References chapterList, and chapters().

## setModified()

void TagLib::MP4::ChapterHolder::setModified | ( | bool | chaptersModified | ) |

inline

Set if the contained chapters are modified.

References modified.

## Member Data Documentation

## chapterList

ChapterList TagLib::MP4::ChapterHolder::chapterList

protected

Referenced by chapters(), and setChapters().

## modified

bool TagLib::MP4::ChapterHolder::modified = false

protected

Referenced by isModified(), and setModified().

The documentation for this class was generated from the following file:

- mp4chapterholder.h